Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild
Class BuildRelatedUrls

    java.lang.Object
      com.pmease.quickbuild.BuildRelatedUrls

public class BuildRelatedUrls
extends java.lang.Object

Constructor Summary
`BuildRelatedUrls()`

Method Summary
`java.lang.String` | `getBuildArtifactsUrl()` Root url for published artifacts.
`java.lang.String` | `getBuildLogUrl()` Url for build log.
`java.lang.String` | `getBuildUrl()` Url to access build page.
`java.lang.String` | `getCloverHtmlReportUrl()` Url for clover html report.
`java.lang.String` | `getJunitHtmlReportUrl()` Url for junit html report.
`java.lang.String` | `getNcoverHtmlReportUrl()` Url for NCover html report.
`java.lang.String` | `getNunitHtmlReportUrl()` Url for NUnit html report.
`java.lang.String` | `getRevisionLogUrl()` Url for revision log.
`void` | `setBuildArtifactsUrl(java.lang.String buildArtifactsUrl)`
`void` | `setBuildLogUrl(java.lang.String buildLogUrl)`
`void` | `setBuildUrl(java.lang.String buildUrl)`
`void` | `setCloverHtmlReportUrl(java.lang.String cloverHtmlReportUrl)`
`void` | `setJunitHtmlReportUrl(java.lang.String junitHtmlReportUrl)`
`void` | `setNcoverHtmlReportUrl(java.lang.String ncoverHtmlReportUrl)`
`void` | `setNunitHtmlReportUrl(java.lang.String nunitHtmlReportUrl)`
`void` | `setRevisionLogUrl(java.lang.String revisionLogUrl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildRelatedUrls

    public BuildRelatedUrls()

Method Detail

### getBuildUrl

    public java.lang.String getBuildUrl()

  Url to access build page.

  Returns:

### setBuildUrl

    public void setBuildUrl(java.lang.String buildUrl)

### getBuildArtifactsUrl

    public java.lang.String getBuildArtifactsUrl()

  Root url for published artifacts.

  Returns:

### setBuildArtifactsUrl

    public void setBuildArtifactsUrl(java.lang.String buildArtifactsUrl)

### getBuildLogUrl

    public java.lang.String getBuildLogUrl()

  Url for build log.

  Returns:

### setBuildLogUrl

    public void setBuildLogUrl(java.lang.String buildLogUrl)

### getRevisionLogUrl

    public java.lang.String getRevisionLogUrl()

  Url for revision log.

  Returns:

### setRevisionLogUrl

    public void setRevisionLogUrl(java.lang.String revisionLogUrl)

### getJunitHtmlReportUrl

    public java.lang.String getJunitHtmlReportUrl()

  Url for junit html report.

  Returns:
    null if JUnit html report does not exist.

### setJunitHtmlReportUrl

    public void setJunitHtmlReportUrl(java.lang.String junitHtmlReportUrl)

### getCloverHtmlReportUrl

    public java.lang.String getCloverHtmlReportUrl()

  Url for clover html report.

  Returns:
    null if clover html report does not exist.

### setCloverHtmlReportUrl

    public void setCloverHtmlReportUrl(java.lang.String cloverHtmlReportUrl)

### getNunitHtmlReportUrl

    public java.lang.String getNunitHtmlReportUrl()

  Url for NUnit html report.

  Returns:
    null if NUnit html report does not exist.

### setNunitHtmlReportUrl

    public void setNunitHtmlReportUrl(java.lang.String nunitHtmlReportUrl)

### getNcoverHtmlReportUrl

    public java.lang.String getNcoverHtmlReportUrl()

  Url for NCover html report.

  Returns:
    null if NCover html report does not exist.

### setNcoverHtmlReportUrl

    public void setNcoverHtmlReportUrl(java.lang.String ncoverHtmlReportUrl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.